/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 *
 * You should have find a copy of NFSChina License. If not, please contact us
 * by email <os_support@nfschina.com>
 *
**/

#ifndef __NOTIFYSEND_H__
#define __NOTIFYSEND_H__

#ifdef __cplusplus //__cplusplus
extern "C" { /* assume C declarations for C++ */
#endif

typedef void (MyFuncType)();


void us_nofity_send(const unsigned char *title, 
		            const unsigned char *msg, 
                    const unsigned char *iconPath,
                    const unsigned char *soundPath, 
                    const unsigned char *level, 
                    const unsigned char *actionConfirm,
                    const unsigned char *actionCancel,
		            MyFuncType confirm, 
                    MyFuncType cancel);

#ifdef __cplusplus
}
#endif

#endif
