/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 *
 * You should have find a copy of NFSChina License. If not, please contact us
 * by email <os_support@nfschina.com>
 *
**/

#ifndef _BASEUTILS_H
#define _BASEUTILS_H

#include <sys/utsname.h>

#define IN
#define OUT

int get_cmd_result(IN const unsigned char *cmd, OUT unsigned char *result);
int get_value_by_key(IN const unsigned char *src, IN const unsigned char *key, OUT unsigned char *result);
int get_utsname(OUT struct utsname *result);
int get_cur_userName(OUT unsigned char *userName);



#endif
